#include "gtall.h"

GtNumber *n1,*n2;

int QuitCB(GtBase *obj,GtCDPtr cd,GtUDPtr ud)
{
	((GtApp *)ud)->BreakLoop();
	return(GTCB_CONT);
}

int PanCB(GtBase *obj,GtCDPtr cd,GtUDPtr ud)
{
	GtPannerCD *pcd;
	
	pcd=(GtPannerCD *)cd;
	n1->SetV(GT_Number,pcd->xvalue,GT_DONE);
	n2->SetV(GT_Number,pcd->yvalue,GT_DONE);
	return(GTCB_CONT);
}

int main(int argc,char **argv)
{
	GtApp *app;
	GtAppDisp *dsp;
	GtAppShell *shell;
	GtMatrix *m;
	GtPanner *p;

	app=GtMkApp(NULL);
	app->SetupRes(&argc,argv);
	dsp=GtMkAppDisp(app,NULL);
	shell=GtMkAppShell("shell",(GtManager *)dsp,
		GT_XSize,300,
		GT_YSize,200,
		GT_DONE);
	shell->AddCB(GT_Close,QuitCB,app);
	m=GtMkMatrix("mat",shell,
		GT_Columns,2,
		GT_Rows,2,
		GT_DONE);
	p=GtMkPanner("pan",m,
		GT_StartX,-20,
		GT_StartY,-20,
		GT_EndX,20,
		GT_EndY,20,
		GT_PageX,10,
		GT_PageY,10,
		GT_ValueX,0,
		GT_ValueY,0,
//		GT_ReportDrag,TRUE,
		GT_Pulse,TRUE,
		GT_DONE);
	p->AddCB(GT_ValueChange,PanCB,NULL);
	n1=GtMkNumber("xnum",m,
		GT_Number,0,
		GT_DONE);
	n2=GtMkNumber("ynum",m,
		GT_Number,0,
		GT_DONE);
	shell->Build();
	app->EventLoop(GTAM_LOOP);
	GtDestroy(app);
}
